#include<bits/stdc++.h>
using namespace std;
#define int long long
#define mid ((l + r) >> 1)
#define ls (now << 1)
#define rs ((now << 1) | 1)
#define mp make_pair

const int N = 10000005;
const int inf = 2e17 + 1;
double s = 1, t = 1, x;
int gcd(int x, int y)
{
	if(!y) return x;
	return gcd(y, x % y);
}
void init()
{
	int x, y;
	cin >> x >> y;
	int c = gcd(x, y);
	cout << c << " " << x * y / c;
}
signed main()
{
	int T = 1;
//	cin >> T;
	while(T --)
		init();
	return 0;
}


